.menu {
    padding: 32px 0;
    background: #FFF;
    box-shadow: 0px 1px 3px rgba(34, 43, 85, 0.03), 0px 8px 12px rgba(52, 53, 70, 0.02);
    border-radius: 16px;

    @include _1179 {
        padding: 62px 0;
        height: 100%;
        border-radius: 0;
        box-shadow: -12px 0px 12px rgba(34, 43, 85, 0.03), -8px 0px 12px rgba(52, 53, 70, 0.02);
    }

    &__container {
        margin-bottom: 25px;

        &:nth-last-child(1) {
            margin-bottom: 0;
        }
    }

    &-title {
        padding: 0 32px;
        margin-bottom: 8px;
    }

    &-links__item {
        position: relative;
        padding: 12px 32px;
        cursor: pointer;
        line-height: 1;

        &:after {
            content: '';
            display: block;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 0;
            margin: auto;
            width: 4px;
            height: 0%;
            background: var(--colorRed);
            transition: 0.4s ease-in-out all;
        }

        &:hover {

            & .menu-link {
                opacity: 0.5;
            }
        }

        &._active {

            &:after {
                height: 100%;
            }
            & .menu-link {
                opacity: 1;
            }
        }
    }

    &-link {
        font-size: 16px;
        transition: ease-in-out 0.2s all;
        opacity: 1;
    }

}

.cross-menu {
    display: none;
    align-items: center;
	position: absolute;
	top: 18px;
	right: 20px;
	width: 48px;
	height: 48px;

    &:after {
        content: '';
        display: block;
        position: relative;
        width: 100%;
        height: 3px;
        background: var(--colorBlack);
        z-index: 2;
        transform: rotate(45deg);
    }
    &:before {
        content: '';
	    display: block;
	    position: absolute;
	    width: 100%;
	    height: 3px;
	    background: var(--colorBlack);
	    z-index: 2;
	    transform: rotate(-45deg);
    }
    @include _1179 {
        display: flex;
    }
}